> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Developer Auth Ticket

> Reauthenticates the current user for a different tenant. If the user does not have access to the tenant, the operation fails.



## OpenAPI

````yaml /openapi/openapi_user.json put /platform/developer/authtickets
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Admin User Service
  title: Admin User
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/developer/authtickets:
    put:
      tags:
        - DeveloperAdminAuthTicket
      summary: Refresh Developer Auth Ticket
      description: >-
        Reauthenticates the current user for a different tenant. If the user
        does not have access to the tenant, the operation fails.
      parameters:
        - description: The users developer account Id
          in: query
          name: developerAccountId
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeveloperAdminUserAuthTicket'
        description: An existing valid auth ticket containing the refresh token.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeveloperAdminUserAuthTicket'
            text/json:
              schema:
                $ref: '#/components/schemas/DeveloperAdminUserAuthTicket'
            text/plain:
              schema:
                $ref: '#/components/schemas/DeveloperAdminUserAuthTicket'
          description: OK
components:
  schemas:
    DeveloperAdminUserAuthTicket:
      properties:
        accessToken:
          nullable: true
          type: string
        accessTokenExpiration:
          format: date-time
          type: string
        account:
          $ref: '#/components/schemas/DeveloperAccount'
        availableAccounts:
          items:
            $ref: '#/components/schemas/DeveloperAccount'
          nullable: true
          type: array
        createdOn:
          format: date-time
          type: string
        grantedBehaviors:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        jwtAccessToken:
          nullable: true
          type: string
        refreshToken:
          nullable: true
          type: string
        refreshTokenExpiration:
          format: date-time
          type: string
        user:
          $ref: '#/components/schemas/UserProfile'
      type: object
    DeveloperAccount:
      properties:
        id:
          format: int32
          type: integer
        name:
          nullable: true
          type: string
      type: object
    UserProfile:
      properties:
        emailAddress:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        lastName:
          nullable: true
          type: string
        userId:
          nullable: true
          type: string
        userName:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````